Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.scrolling
Class JSpinnerDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.scrolling.JSpinnerDriver

All Implemented Interfaces:
  LightDriver, ScrollDriver

public class JSpinnerDriver
extends LightSupportiveDriver
implements ScrollDriver

A scroll driver serving JSpinner component.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`JSpinnerDriver()` Constructs a JSpinnerDriver object.

Method Summary
`void` | `scroll(ComponentOperator oper, ScrollAdjuster adj)` Changes value.
`void` | `scrollToMaximum(ComponentOperator oper, int orientation)` Changes value to a maximum.
`void` | `scrollToMinimum(ComponentOperator oper, int orientation)` Changes value to a minimum.

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSpinnerDriver

    public JSpinnerDriver()

  Constructs a JSpinnerDriver object.

Method Detail

### scrollToMinimum

    public void scrollToMinimum(ComponentOperator oper,
                                int orientation)

  Description copied from interface: `ScrollDriver`
  Changes value to a minimum.
  Specified by:
    `scrollToMinimum` in interface `ScrollDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ScrollDriver`
  Parameters:
    `oper` - Scroller operator.
    `orientation` - `java.awt.Adjustable.HORIZONTAL` or `java.awt.Adjustable.VERTICAL`

### scrollToMaximum

    public void scrollToMaximum(ComponentOperator oper,
                                int orientation)

  Description copied from interface: `ScrollDriver`
  Changes value to a maximum.
  Specified by:
    `scrollToMaximum` in interface `ScrollDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ScrollDriver`
  Parameters:
    `oper` - Scroller operator.
    `orientation` - `java.awt.Adjustable.HORIZONTAL` or `java.awt.Adjustable.VERTICAL`

### scroll

    public void scroll(ComponentOperator oper,
                       ScrollAdjuster adj)

  Description copied from interface: `ScrollDriver`
  Changes value.
  Specified by:
    `scroll` in interface `ScrollDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ScrollDriver`
  Parameters:
    `oper` - Scroller operator.
    `adj` - Object defines scroll position.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD